<?php
define('PROTECTOR', 1);

$textl='Регистрация';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');


echo'<div class="m_bg"><b>Регистрация</b><br/>';

function first()
{

if(!empty($_GET[ref])){
echo "<form action=\"rega.php?mod=goreg&amp;ref=$_GET[ref]\" method=\"post\">";
}else{
echo '<form action="rega.php?mod=goreg" method="post">';
}
echo"Логин:(<small>Не более 10 символов, А-я и A-z</small>)<br/>
<input class='input' type=\"text\" size=\"10\" name=\"nick\" maxlength=\"10\"/><br/>";

$_POST[storona] = 'white';
$_POST[pol] = 'm';
$_POST[klas] = 'fighert';
$_POST[pass] = '12345';

echo '<input class="button" type="submit" value="Регистрация" /></form>';
echo "</div>";
echo'<div class="m_bg"><a href="index.php">Назад</a></div>';
}

function goreg()
{




$ip=htmlspecialchars(stripslashes($_SERVER['REMOTE_ADDR']));
$pass = $_POST[pass];
$_POST[nick] = addslashes("$_POST[nick]");
$_POST[nick] = htmlspecialchars($_POST[nick]);




$tkr = @mysql_query("SELECT * FROM `users` WHERE `usr` = '$_POST[nick]' COLLATE utf8_bin");
$tkr= @mysql_num_rows($tkr);




$bip = mysql_query("SELECT * FROM `users` WHERE `ip` = '$ip'");
$bip=mysql_num_rows($bip);


if (!preg_match("|^[a-z\d\[\]_\-а-яе]{2,10}$|ui",  $_POST[nick]))
{
echo "Используете запрещённые символы!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}
elseif ($tkr >= 1)
{
echo "Такой ник уже используется<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}

elseif (($tkr == 0) && ($bip < 20) && ($_POST[nick] != "") && ($_POST[pass] != "") )
{

$dater=date("d F, Y", time());
$time=date("H:i:s", time());
$dater = str_replace("January","января",$dater);
$dater = str_replace("February","февраля",$dater);
$dater = str_replace("March","марта",$dater);
$dater = str_replace("April","апреля",$dater);
$dater = str_replace("May","мая",$dater);
$dater = str_replace("June","июня",$dater);
$dater = str_replace("July","июля",$dater);
$dater = str_replace("August","августа",$dater);
$dater = str_replace("September","сентября",$dater);
$dater = str_replace("October","октября",$dater);
$dater = str_replace("November","ноября",$dater);
$dater = str_replace("December","декабря",$dater);

$_POST[pass] = md5($_POST[pass]);

$storona = $_POST[storona];


if($_POST[klas]=="wizard"){
$mp="9"; $all="12";
$sila="1";
$antikrit="8";
$krit="5";
$ukrit="5";
$umin="1";
$umax="2";
$um='3';
$lovk='3';

$pgolova='2';
$pbody='1';
$pnogi='2';
}
if($_POST[klas]=="fighert"){
$mp="7"; $all="14";
$sila="2";
$antikrit="5";
$krit="8";
$ukrit="8";
$umin="1";
$umax="3";
$um='1';
$lovk='2';

$pgolova='2';
$pbody='2';
$pnogi='1';
}



$umin=$umin+2;
$umax=$umax+7;

if(!empty($_GET[ref])){
$req = mysql_query("SELECT `ip` FROM `users` WHERE `id` = '$_GET[ref]' LIMIT 1");
// //////////////////////////
$avto = mysql_num_rows($req);

if ($avto == 1) {
$refer = mysql_fetch_array($req);

if($ip!=$refer[ip]){

mysql_query("INSERT INTO
`users` SET
`usr` = '$_POST[nick]',
`pass` = '$_POST[pass]',
`email` = '$_POST[email]',
`ip` = '$ip',
`pol` = '$_POST[pol]',
`storona` = '$_POST[storona]',
`lvl` = '0',
`money` = '0',
`skill` = '0',
`hp` = '$all',
`hpall` = '$all',
`mp` = '$mp',
`mpall` = '$mp',
`exp` = '0',
`sb` = '1',
`sila` = '$sila',
`um` = '$um',
`lovk` = '$lovk',
`prot` = '$protect',
`pgolova` = '$pgolova',
`pbody` = '$pbody',
`pnogi` = '$pnogi',
`antikrit` = '$antikrit',
`krit` = '$krit',
`ukrit` = '$ukrit',
`umin` = '$umin',
`umax` = '$umax',
`klas` = '$_POST[klas]',
`city` = 'fornost',
`ref` = '$_GET[ref]',
`lvisit` = '$dater $time'");

}

}
}else{
mysql_query("INSERT INTO
`users` SET
`usr` = '$_POST[nick]',
`pass` = '$_POST[pass]',
`email` = '$_POST[email]',
`ip` = '$ip',
`pol` = '$_POST[pol]',
`storona` = '$_POST[storona]',
`lvl` = '0',
`money` = '0',
`skill` = '0',
`sb` = '1',
`hp` = '$all',
`hpall` = '$all',
`mp` = '$mp',
`mpall` = '$mp',
`exp` = '0',
`sila` = '$sila',
`um` = '$um',
`lovk` = '$lovk',
`prot` = '$protect',
`pgolova` = '$pgolova',
`pbody` = '$pbody',
`pnogi` = '$pnogi',
`antikrit` = '$antikrit',
`krit` = '$krit',
`ukrit` = '$ukrit',
`umin` = '$umin',
`umax` = '$umax',
`klas` = '$_POST[klas]',
`city` = 'fornost',
`lvisit` = '$dater $time'");
}

mysql_query("INSERT INTO
`item` SET
`usr` = '$_POST[nick]',
`tip` = 'weapon',
`name` = 'Гнилая трость',
`cena` = '8',
`umin` = '1',
`umax` = '3',
`klas` = 'not',
`nsila` = '1',
`image` = 'not'");

mysql_query("INSERT INTO
`item` SET
`usr` = '$_POST[nick]',
`tip` = 'body',
`name` = 'Рваная рубаха',
`cena` = '8',
`pbody` = '2',
`klas` = 'not',
`nsila` = '1',
`image` = 'not'");
if($_POST[klas]=="wizard"){
mysql_query("INSERT INTO
`mag` SET
`usr` = '$_POST[nick]',
`name` = 'Магическая стрела',
`lat_name` = 'mag_strela',
`tip` = 'atack',
`klas` = 'wizard',
`uron` = '13|15|18|21|24|27|30|33|37|40',
`mp` = '9|10|12|13|14|15|16|17|18|19',
`hp` = '0|0|0|0|0|0|0|0|0|0',
`plushp` = '0|0|0|0|0|0|0|0|0|0',
`cena` = '50|100|200|380|540|800|1124|1800|2600',
`lvl` = '1'");
}
if($_POST[klas]=="fighert"){
mysql_query("INSERT INTO
`mag` SET
`usr` = '$_POST[nick]',
`name` = 'Сильный удар',
`lat_name` = 'siln_udar',
`tip` = 'atack',
`klas` = 'fighert',
`uron` = '10|15|18|21|24|27|30|33|37|40',
`mp` = '7|9|10|11|12|13|14|15|16|17',
`hp` = '0|0|0|0|0|0|0|0|0|0',
`plushp` = '0|0|0|0|0|0|0|0|0|0',
`cena` = '50|100|200|380|540|800|1124|1800|2600',
`lvl` = '1'");
}
mysql_query("INSERT INTO `mesto` SET `usr` = '$_POST[nick]',`place` = 'main',`city` = '0'");
$date = time();
mysql_query("INSERT INTO regenerator SET usr = '$_POST[nick]', last = '$date'");

//************************

mysql_query("INSERT INTO
`regfight` SET
`usr` = '$_POST[nick]'");

mysql_query("INSERT INTO
`start` SET
`usr` = '$_POST[nick]', `num` = '0'");

$actime=time()+3600;

mysql_query("INSERT INTO
`aurs` SET
`usr` = '$_POST[nick]',
`actimer` = '$actime'");

mysql_query("INSERT INTO
`item_aura` SET
`usr` = '$_POST[nick]',
`name` = 'Слабая аура шока',
`lat_name` = 'min_aura_shok',
`cena` = '15',
`umin` = '2',
`umax` = '7',
`actime` = '1800',
`status` = '1',
`kol` = '1'");

//********************

$time = date("H:i d.m.y");
$text = "Добро пожаловать в игру!Этот мир ждёт тебя! Путешествуй, сражайся и просто отдыхай! Тебе в помощь дали доспех и оружие. Лучше надень их сразу! Вопросы задавать в чате! Администрация на вопросы по игре не отвечает! Писать только по-поводу найденых багов, недочётов и с предложениями! Приятного времяпрепровождения!";
mysql_query("INSERT INTO `msg_r` SET `user_from` = 'Admin', `user_to` = '$_POST[nick]', `time` = '$time', `read` = 1, `mail_msg` = '$text'");

$_SESSION['log'] = $_POST[nick];
$_SESSION['pas'] = $_POST[pass];
$_SESSION['klas'] = $_POST[klas];
$_SESSION['storona'] = $storona;

echo "Неожиданно ты открываешь глаза, очутившись в непонятном месте!<br/>";
echo"Перед тобой появляется всадник на черном коне и начинает свое повествование:";
echo'"Приветствую тебя, '.$_POST[nick].', наш правитель долго ждал тебя, подай руку и начнем сложный путь освоения игры."';
echo "<div class=\"foot\"><a href=\"reg.php?mod=intro\">Взобраться на коня</a></div>";
}
elseif($_POST[nick] == "")
{
echo "Вы оставили пустое поле: Логин!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}

elseif($tkr > 0)
{
echo "Логин занят, выберите другой!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}

elseif($bip > 20)
{
echo "Не стоит заводить столько много аккаунтов!<br/>";
echo "<a href=\"reg.php\">Назад</a></div>";
}
}
function intro(){
if(empty($_SESSION['log']) or empty($_SESSION['pas']) or empty($_SESSION['storona']) or empty($_SESSION['klas'])){
echo "Ошибка!</div>";
echo "<div class=\"foot\"><a href=\"reg.php\">Назад</a></div>";
}else{
echo'Ты взбираешься на коня, и вновь засыпаешь. Очнувшись, ты замечаешь вокруг себя кучу народа.';
echo "<div class=\"foot\"><a href=\"index.php\">Продолжить</a></div>";
}
}
if($_GET[mod] == "")
{first();}
elseif($_GET[mod] == "goreg")
{goreg();}
elseif($_GET[mod] == "intro")
{intro();}

include($path.'files/end.php');
?>
